Download it now!
Bug 93520 - Mirrored page margin preset has incorrect outer value
Summary: Mirrored page margin preset has incorrect outer value
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Notebookbar Sidebar-Properties-Page
  Show dependency treegraph
 
Reported: 2015-08-19 02:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-05-15 09:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
page margin outer (44.43 KB, image/png)
2015-08-19 02:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-19 02:34:59 UTC
Created attachment 118011 [details]
page margin outer

Though the preset shows that it will be applying 3.18cm to the outer field, it doesnt actually set that value. The bug seems to be that its simply duplicating the first value in the second part like it does with all the other tooltips, when this tooltip cant do that.

Seems to be from the code imported from apache.

Version: 5.1.0.0.alpha1+
Build ID: 5d6ef74eea5d73b8cd17f313ad87138d56dc76ce
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-18_01:28:44
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2015-09-09 13:38:04 UTC
Yep.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2016-09-20 10:29:20 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) (retired) 2016-10-23 20:53:00 UTC
The control was removed from the sidebar, but was added to the notebookbar, where it is still broken.
Comment 4 Commit Notification 2016-11-04 22:36:39 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19fa8aae970f66a808a3757b0de34fa9caee2ec4

tdf#93520 : Mirrored page margin tooltip

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) (retired) 2016-11-05 11:31:10 UTC
Thanks for the fix Szymon. Please backport to 5.2. ;D
Comment 6 Yousuf Philips (jay) (retired) 2016-11-07 18:49:45 UTC
Version: 5.3.0.0.alpha1+
Build ID: 11cab8aba359c655a75791ddbc0f2ffeae8ce206
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-06_23:07:09
Locale: en-US (en_US.UTF-8); Calc: group